
// Chatter.java
// Andrew Davison, April 2005, ad@fivedots.coe.psu.ac.th

/* Uchovává údaje o jediném klientovi:
    IP-adresu klienta, port a výstupní proud

  Výstupní proud se používá pro zasílání zpráv klientovi.

  Pomocí adresy a portu se klient jednoznačně identifikuje
  (klient totiž nemá jméno).
*/

import java.io.*;


public class Chatter
{
  private String cliAddr;
  private int port;
  private PrintWriter out;

  public Chatter(String cliAddr, int port, PrintWriter out)
  { this.cliAddr = cliAddr;
    this.port = port; this.out = out;
  }


  public boolean matches(String ca, int p)
  // Pomocí adresy a portu se klient jednoznačně identifikuje
  { if (cliAddr.equals(ca) && (port == p))
      return true;
    return false;
  } // konec metody: matches()
 

  public void sendMessage(String msg)
  {  out.println(msg);  }


  public String toString()
  {  return cliAddr + " & " + port + " & ";  }


}  // konec třídy: Chatter
